/* CSS for access-gateway-ag-5900 page 
 * -------------------------------*/
/* Fix SVG in <img> tags not scaling in IE9, IE10, IE11
 * Let's target IE to respect aspect ratios and sizes for img tags containing SVG files
 *
 * [1] IE9
 * [2] IE10+
 */
/* 1 */
.ie9 img[src$=".svg"] {
	width: 100%;
}

/* 2 - IE */
@media screen and (-ms-high-contrast: active),
(-ms-high-contrast: none) {
	img[src$=".svg"] {
		width: 100%;
		height: 100%;
	}
}

/* level 1 
 * ----------*/
.full-width-bg {
	background: url(../images/477260766.jpg) center center/cover no-repeat padding-box border-box #ccc;
	padding: 75px 5% 0;
}

.full-width-bg h1 {
	text-align: left !important;
}

.full-width-bg h3,
.full-width-bg h4 {
	color: #fff;
	text-shadow: 0 0.2rem 0.2rem rgba(0, 0, 0, 0.45);
}

.full-width-bg h3 {
	padding-left: 2.5rem;
	background: url(../images/icon-checkmark-orange.svg);
	background-repeat: no-repeat;
	background-position: top left;
	background-size: 24px 24px;
}

/* Level 2 */
/* Link area on burger encompassing burger icon */
#bugerIconCnt,
#bugerIconDocsCnt {
	width: 50px;
	height: 50px;
}

.fit-title-and-burger {
	width: calc(100% - 150px);
}

#bulletPoints {
	position: relative;
	top: -100px;
}

/* Level 3 */
.three-columns {
	width: 30%;
	margin-right: 5%;
	overflow: hidden;
}

/* Columns right margins */
.three-columns:nth-child(3) {
	margin-right: 0;
}

/* Columns bottom margins */
.three-columns:nth-child(1),
.three-columns:nth-child(2),
.three-columns:nth-child(3) {
	margin-bottom: 2rem;
}

.icon-images {
	max-height: 48px;
}

ul .square {
	list-style-type: square !important;
}

.white-transparent {
	background-color: rgba(0, 0, 0, 0.60);
	padding: 1rem;
}

.white-transparent:hover {
	background-color: rgba(83, 176, 4, 0.80);
}

.white-transparent h4 {
	color: #ee8428;
	text-transform: uppercase;
	margin: 0 0 0.5rem !important;
}

.white-transparent h4:hover {
	color: #fff;
}

.white-transparent p {
	color: #fff;
}

.chevron-right {
	background-image: url(../images/icon-chevron-white-right.svg);
	background-repeat: no-repeat;
	background-size: 65px 65px;
	background-position: right center;
}

.chevron-left {
	background-image: url(../images/icon-chevron-white-top-left.svg);
	background-repeat: no-repeat;
	background-size: 65px 65px;
	background-position: left 10%;
}

.chevron-left-padding {
	padding-left: 25px;
}

.absolute-position-bottom {
	position: absolute;
	bottom: 0px;
}

/* Expanding containers
-------------------- */
#expandingWrapper {
	padding: 25px;
	border-right: solid #aaa 1px;
	border-bottom: solid #aaa 1px;
	border-left: solid #aaa 1px;
}

#expandControl {
	border: solid #aaa 1px;
	padding: 25px;
}

.inner-border {
	padding: 20px;
	border-right: 1px solid #aaa;
	border-bottom: 1px solid #aaa;
	border-left: 1px solid #aaa;
}

/* Grow div  
---------*/
#growDocs,
#grow {
	-moz-transition: height .5s;
	-ms-transition: height .5s;
	-o-transition: height .5s;
	-webkit-transition: height .5s;
	transition: height .5s;
	height: 0;
	overflow: hidden;
}

#growTitleDocs,
#growTitle {
	border: 1px solid #aaa;
	padding: 0 0 0 10px;
}

#growTitleDocs h3,
#growTitle h3 {
	margin: 11px 65px 15px 20px;
	cursor: pointer;
}

/* hamburger animation 
--------------------*/
.position-relative {
	position: relative;
}

#bugerIconDocs,
#bugerIcon {
	position: absolute;
	right: 45px;
	top: 16px;
	cursor: pointer;
	margin: 9px 6px 0 0;
}

#bugerIconDocs span,
#bugerIconDocs span:before,
#bugerIconDocs span:after,
#bugerIcon span,
#bugerIcon span:before,
#bugerIcon span:after {
	cursor: pointer;
	border-radius: 1px;
	height: 5px;
	width: 35px;
	background: #353d4a;
	/* sets color of hamburger */
	position: absolute;
	display: block;
	content: '';
}

#bugerIconDocs span:before,
#bugerIcon span:before {
	top: -10px;
}

#bugerIconDocs span:after,
#bugerIcon span:after {
	bottom: -10px;
}

#bugerIconDocs span,
#bugerIconDocs span:before,
#bugerIconDocs span:after,
#bugerIcon span,
#bugerIcon span:before,
#bugerIcon span:after {
	transition: all 500ms ease-in-out;
}

#bugerIconDocs.go span,
#bugerIcon.go span {
	background-color: transparent;
}

#bugerIconDocs.go span:before,
#bugerIconDocs.go span:after,
#bugerIcon.go span:before,
#bugerIcon.go span:after {
	top: 0;
}

#bugerIconDocs.go span:before,
#bugerIcon.go span:before {
	transform: rotate(45deg);
}

#bugerIconDocs.go span:after,
#bugerIcon.go span:after {
	transform: rotate(-45deg);
}

/* Ask the experts form */
/* Expanding containers
-------------------- */
#expandingWrapper {
	padding: 25px;
	border-right: solid #aaa 1px;
	border-bottom: solid #aaa 1px;
	border-left: solid #aaa 1px;
}

#expandControl {
	border: solid #aaa 1px;
	padding: 25px;
}

.inner-border {
	padding: 20px;
	border-right: 1px solid #aaa;
	border-bottom: 1px solid #aaa;
	border-left: 1px solid #aaa;
}

/* Grow div  
---------*/
#growDocs,
#grow {
	-moz-transition: height .5s;
	-ms-transition: height .5s;
	-o-transition: height .5s;
	-webkit-transition: height .5s;
	transition: height .5s;
	height: 0;
	overflow: hidden;
}

#growTitleDocs,
#growTitle {
	border: 1px solid #aaa;
	padding: 0 0 0 10px;
}

#growTitleDocs h3,
#growTitle h3 {
	margin: 11px 65px 15px 20px;
	cursor: pointer;
}

/* hamburger animation 
--------------------*/
#bugerIconDocs,
#bugerIcon {
	position: absolute;
	right: 45px;
	top: 16px;
	cursor: pointer;
	margin: 9px 6px 0 0;
}

#bugerIconDocs span,
#bugerIconDocs span:before,
#bugerIconDocs span:after,
#bugerIcon span,
#bugerIcon span:before,
#bugerIcon span:after {
	cursor: pointer;
	border-radius: 1px;
	height: 5px;
	width: 35px;
	background: #353d4a;
	/* sets color of hamburger */
	position: absolute;
	display: block;
	content: '';
}

#bugerIconDocs span:before,
#bugerIcon span:before {
	top: -10px;
}

#bugerIconDocs span:after,
#bugerIcon span:after {
	bottom: -10px;
}

#bugerIconDocs span,
#bugerIconDocs span:before,
#bugerIconDocs span:after,
#bugerIcon span,
#bugerIcon span:before,
#bugerIcon span:after {
	transition: all 500ms ease-in-out;
}

#bugerIconDocs.go span,
#bugerIcon.go span {
	background-color: transparent;
}

#bugerIconDocs.go span:before,
#bugerIconDocs.go span:after,
#bugerIcon.go span:before,
#bugerIcon.go span:after {
	top: 0;
}

#bugerIconDocs.go span:before,
#bugerIcon.go span:before {
	transform: rotate(45deg);
}

#bugerIconDocs.go span:after,
#bugerIcon.go span:after {
	transform: rotate(-45deg);
}

/* Documentation container */
.columns-two {
	width: 47.5%;
	margin-right: 5%;
	overflow: hidden;
}

.columns-two:nth-child(2),
.columns-two:nth-child(4) {
	margin-right: 0;
}

.icon-and-text-docs {
	padding: 0 0 15px 30px;
	margin: 0 25px 0 0 !important;
}

.icon-and-text-docs.datasheet {
	background: url(../images/icon-pdf-datasheet.svg) top left/24px 24px no-repeat;
}

.icon-and-text-docs.press-release {
	background: url(../images/icon-pdf-pressrelease.svg) top left/24px 24px no-repeat;
}

.icon-and-text-docs.users-guide {
	background: url(../images/icon-pdf-usersguide.svg) top left/24px 24px no-repeat;
}

.icon-and-text-docs.quick-start {
	background: url(../images/icon-pdf-quickstart.svg) top left/24px 24px no-repeat;
}

.icon-and-text-docs.software-readme {
	background: url(../images/icon-pdf-readme.svg) top left/24px 24px no-repeat;
}

.hr-ddd {
	border-bottom: 1px solid #ddd;
	margin-bottom: 12px;
}

/* Modules for ag5900 */
.full-width-modules-bg {
	background: url(../images/639637280-access-gateway-ag-5900-item0.jpg) center center/cover no-repeat padding-box border-box #ccc;
	padding: 50px 5% 95px 5%;
}

.green-callout {
	width: 42%;
	background: rgba(123, 195, 75, 0.87);
	padding: 30px 50px;
}

.green-callout h2 {
	color: #fff;
	font-weight: normal;
	margin-bottom: 30px;
}

.green-callout h5 {
	color: #fff;
	font-weight: normal;
	margin-bottom: 20px;
}

.green-callout p {
	padding: 0 0 0 35px;
	background: url(../images/arrow-left-circle-wht.png) no-repeat left;
}

.green-callout p a {
	color: #fff;
}

#captivePortal,
#reliability,
#fiberSupport,
#authSupport,
#bandwidthManagement,
#easeUse,
#failoverModule,
#pmsModule,
#loadBalancing {
	-webkit-transition: all 1s ease;
	-moz-transition: all 1s ease;
	-o-transition: all 1s ease;
	-ms-transition: all 1s ease;
	transition: all 1s ease;
	overflow: hidden;
}

.height-natural {
	max-height: 500px;
}

.height-collapsed {
	max-height: 75px;
}

#captivePortalTrigger,
#reliabilityTrigger,
#fiberSupportTrigger,
#authSupportTrigger,
#bandwidthManagementTrigger,
#easeUseTrigger,
#failoverModuleTrigger,
#pmsModuleTrigger,
#loadBalancingTrigger {
	color: #53b044;
}

/* 3 columns inside section id="extra" container */
#extra>.special>.element:nth-child(2)>.textElement {
	background-color: #fff;
}

.max-1440 {
	display: block;
	max-width: 1440px;
	width: auto;
	margin: 0 auto;
	padding: 0 5%;
	position: relative;
}

.margin-topbottom {
	margin: 75px 0px;
}

.margin-topbottom p:nth-child(1) {
	color: #545454 !important;
}

.margin-topbottom p,
.margin-topbottom h3 {
	text-shadow: none !important;
}

/* Why upgrade? 
 ------------*/
#extraWhtSection {
	background-color: #f9f7f2;
}

.contents .columns.equal .left h2,
.contents .columns.equal .right h2 {
	background-color: transparent;
	/* Overwrite h2 bg color */
}

.bg-wht-padding {
	border: #e0ded9 1px solid;
	background-color: #fff;
	padding: 5%;
}

.green-line {
	height: 5px;
	margin: 0 auto;
	border-bottom: 2px solid #7bc34b;
}

.icon-chevron-7bc34b-top-left {
	background-image: url(../images/icon-chevron-7bc34b-top-left.svg);
	background-repeat: no-repeat;
	background-size: 28px 28px;
	background-position: left top;
}

.icon-chevron-ee8428-top-left {
	background-image: url(../images/icon-chevron-ee8428-top-left.svg);
	background-repeat: no-repeat;
	background-size: 28px 28px;
	background-position: left top;
}

.icon-chevron-padding {
	padding-left: 1.6rem;
}

.EOL-20181231 {
	font-weight: bold;
	color: #53b044;
}

/* Modal
------*/
/* The Modal (background) */
.modal {
	display: none;
	/* Hidden by default */
	position: fixed;
	/* Stay in place */
	z-index: 9999;
	left: 0;
	top: 0;
	width: 100%;
	/* Full width */
	height: 100%;
	/* Full height */
	overflow: auto;
	/* Enable scroll if needed */
	background-color: rgb(0, 0, 0);
	/* Fallback color */
	background-color: rgba(0, 0, 0, 0.4);
	/* Black w/ opacity */
}

/* Modal Content/Box */
.modal-content {
	position: relative;
	background-color: #fefefe;
	margin: 15% auto;
	/* 15% from the top and centered */
	padding: 20px;
	border: 1px solid #888;
	width: 70%;
}

/* The Close Button */
.close {
	position: absolute;
	top: 0;
	right: 10px;
	color: #aaa;
	font-size: 28px;
}

.close:hover,
.close:focus {
	color: black;
	text-decoration: none;
	cursor: pointer;
}

@media screen and (max-width: 1200px) {
	#bulletPoints {
		top: -70px;
	}
}

@media screen and (max-width: 1100px) {
	#bulletPoints {
		top: -50px;
	}
}

@media screen and (max-width: 950px) {
	.green-callout {
		width: 62%;
	}

	#bulletPoints {
		top: -10px;
	}

	.full-width-bg {
		padding: 25px 5% 55px;
	}
}

@media screen and (max-width: 768px) {
	.full-width-bg {
		padding: 25px 5% 55px;
	}

	.full-width-modules-bg {
		padding: 50px 5% 50px 5%;
	}

	#keepHeight {
		min-height: 325px;
	}

	.full-width-bg h3 {
		line-height: 1.75;
	}

	.four-columns {
		width: 49%;
		margin-bottom: 2rem;
	}

	.four-columns:nth-child(2) {
		margin-right: 0;
	}

	.margin-topbottom {
		margin: 55px 0px;
	}
}

@media screen and (max-width: 640px) {
	.p-largest-font-nopad {
		font-size: 18px;
	}

	.green-callout {
		width: auto;
	}

	.three-columns {
		width: 100%;
		float: none;
		margin-right: 0;
	}

	.three-columns:nth-child(5) {
		margin-bottom: 2rem;
	}

	.four-columns {
		width: 100%;
		float: none;
		margin-right: 0;
	}

	.four-columns:nth-child(4) {
		margin-bottom: 0;
	}

	#bulletPoints {
		top: 0;
	}

	#articleThirds .columns .two-thirds-last .element {
		margin: 0 0 55px;
	}

	.three-columns:nth-child(3) {
		margin-bottom: 0;
	}

	.columns-two {
		width: 100%;
		float: none;
		margin-right: 0;
	}

	.margin-topbottom {
		margin: 55px 0px 0px 0px;
	}

	.margin-topbottom-fix {
		margin-bottom: 55px;
	}
}